module.exports = {
  parserPreset: 'conventional-changelog-conventionalcommits',
  rules: {
    'body-leading-blank': [1, 'always'], // body开始于空白行
    'footer-leading-blank': [1, 'always'], // footer开始于空白行
    'header-max-length': [2, 'always', 72],
    'scope-case': [2, 'always', 'lower-case'], // scope小写
    'subject-case': [
      2,
      'never',
      ['sentence-case', 'start-case', 'pascal-case', 'upper-case']
    ],
    'subject-empty': [2, 'never'], // subjec不t为空
    'subject-full-stop': [2, 'never', '.'], // subject结尾不加'.'
    'type-case': [2, 'always', 'lower-case'], // type小写
    'type-empty': [2, 'never'], // type不为空
    'type-enum': [
      2,
      'always',
      [
        'ci', // 对ci配置文件和脚本的更改
        'chore', // 构建过程或辅助工具的变动
        'docs', // 文档
        'feat', // 新需求
        'fix', // bug #123456
        'improvement', // 改进
        'perf', // 性能
        'refactor', // 重构
        'revert', // 回退还原
        'style', // 样式
        'test', // 测试
        'ui' // 界面相关
      ]
    ]
  }
};
